# Interface SimpleFillSymbolJson

Simple fill symbols can be used to symbolize polygon geometries.

See https://developers.arcgis.com/web-map-specification/objects/esriSFS_symbol/.

interface SimpleFillSymbolJson {
color?: ColorJson;
outline?: SimpleLineSymbolJson;
style?:
| "esriSFSBackwardDiagonal"
| "esriSFSCross"
| "esriSFSDiagonalCross"
| "esriSFSForwardDiagonal"
| "esriSFSHorizontal"
| "esriSFSNull"
| "esriSFSSolid"
| "esriSFSVertical";
type: "esriSFS";
}

#### Hierarchy (view full)

- SymbolJsonBase
  - SimpleFillSymbolJson

#####
Index

### Properties

color?
outline?
style?
type

##
Properties

### `Optional` color

color?: ColorJson

Color is represented as a four-element array. The four elements represent values for red, green, blue, and alpha in that order. Values range from 0 through 255. If color is undefined for a symbol, the color value is null.

### `Optional` outline

outline?: SimpleLineSymbolJson

Sets the outline of the fill symbol.

### `Optional` style

style?:
| "esriSFSBackwardDiagonal"
| "esriSFSCross"
| "esriSFSDiagonalCross"
| "esriSFSForwardDiagonal"
| "esriSFSHorizontal"
| "esriSFSNull"
| "esriSFSSolid"
| "esriSFSVertical"

The fill style.

### type

type

The type of symbol. See SymbolJsonType.

Overrides SymbolJsonBase.type